//
//  ViewController.m
//  YPCellSwipe
//
//  Created by hbck on 2018/11/19.
//  Copyright © 2018年 com.hbck.mg. All rights reserved.
//

#import "ViewController.h"
#import "DemoTableViewCell.h"
@interface ViewController ()<UITableViewDelegate,UITableViewDataSource,YPSwipeTableViewCellDelegate>
@property(nonatomic,strong)UITableView *tableView;
@property(nonatomic,strong)NSMutableArray *dateArray;
@property(nonatomic,strong)NSMutableArray *btnArray;//添加按钮
@property(nonatomic,assign)NSInteger type;
@property(nonatomic,strong)UIButton *rightBtn;
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.title = @"cell侧滑自定demo";
    self.type = 1;
    [self setRightItem];
    [self.view addSubview:self.tableView];
}

- (void)setRightItem{
    UIButton* rightBtn= [[UIButton  alloc] init];
    [rightBtn setTitle:@"上下排布" forState:0];
    rightBtn.titleLabel.font = [UIFont systemFontOfSize:15];
    [rightBtn setTitleColor:[UIColor blackColor] forState:0];
    [rightBtn addTarget:self action:@selector(rightItemAction) forControlEvents:UIControlEventTouchUpInside];
    UIBarButtonItem *rightItem = [[UIBarButtonItem alloc] initWithCustomView:rightBtn];
    self.navigationItem.rightBarButtonItem = rightItem;
    self.rightBtn = rightBtn;
}

- (void)rightItemAction{
    if (self.type == 1) {
        self.type = 0;
    }else{
        self.type = 1;
    }
    [self.rightBtn setTitle:self.type == 1 ? @"上下排布" : @"左右排布" forState:0];
    [self.tableView reloadData];
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section{
    return self.dateArray.count;
}
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath{
    static NSString *cellIdentifier = @"Cell";
    DemoTableViewCell *cell = [[DemoTableViewCell alloc] cellCreat:cellIdentifier AndArray:self.btnArray andTableView:tableView cellIndexPath:indexPath andType:self.type];
    cell.delegate = self;
    return cell;
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath{
    UIAlertView *alert = [[UIAlertView alloc]initWithTitle:@"提示"
                                                   message:@"点击整个cell"
                                                  delegate:self
                                         cancelButtonTitle:@"ok"
                                         otherButtonTitles:nil, nil];
    [alert show];
}
- (CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath{
    return 80;
}
#pragma mark - YPSwipeTableViewCelldidSelectBtnWithTag 代理
- (void)YPSwipeTableViewCelldidSelectBtnWithTag:(NSInteger)tag andIndexPath:(NSIndexPath *)indexpath{
    NSString *message = [NSString stringWithFormat:@"选择了 %@ 按钮 在第 %ld row",tag == 0 ? @"删除" : @"添加",(long)indexpath.row];
    UIAlertView *alert = [[UIAlertView alloc]initWithTitle:@"提示"
                                                   message:message
                                                  delegate:self
                                         cancelButtonTitle:@"ok"
                                         otherButtonTitles:nil, nil];
    [alert show];
}

- (UITableView *)tableView{
    if (!_tableView) {
        _tableView = [[UITableView alloc] initWithFrame:CGRectMake(0, 0, self.view.bounds.size.width, self.view.bounds.size.height) style:UITableViewStylePlain];
        _tableView.delegate = self;
        _tableView.dataSource = self;
        _tableView.tableFooterView = [UIView  new];
    }
    return _tableView;
}
- (NSMutableArray *)dateArray{
    if (!_dateArray) {
        _dateArray = [NSMutableArray arrayWithObjects:@"yp1",@"yp2",@"yp3",@"yp4",@"yp5",@"yp6", nil];
    }
    return _dateArray;
}
- (NSMutableArray *)btnArray{
    if (self.type == 1) {
        UIButton *btn1 = [[UIButton alloc]initWithFrame:CGRectMake(0, 0, 60, 40)];
        btn1.backgroundColor = [UIColor redColor];
        [btn1 setTitle:@"删除" forState:UIControlStateNormal];
        UIButton *btn2 = [[UIButton alloc]initWithFrame:CGRectMake(0, 44, 60, 40)];
        btn2.backgroundColor = [UIColor greenColor];
        [btn2 setTitle:@"添加" forState:UIControlStateNormal];
        _btnArray  = [[NSMutableArray alloc]initWithObjects:btn1,btn2, nil];
    }else{
        UIButton *btn1 = [[UIButton alloc]initWithFrame:CGRectMake(0, 0, 60, 80)];
        btn1.backgroundColor = [UIColor redColor];
        [btn1 setTitle:@"删除" forState:UIControlStateNormal];
        UIButton *btn2 = [[UIButton alloc]initWithFrame:CGRectMake(0, 0, 60, 80)];
        btn2.backgroundColor = [UIColor greenColor];
        [btn2 setTitle:@"添加" forState:UIControlStateNormal];
        _btnArray  = [[NSMutableArray alloc]initWithObjects:btn1,btn2, nil];
    }
    return _btnArray;
}



- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


@end
